Creates a new article price list
Request Information
URI Parameters :
None.
Body Parameters :
article_price_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| article_price_label_id |
Foreign key of article price label |
globally unique identifier |
Optionally required : article_price_label_id or article_price_label must be provided |
| article_price_label |
Embedded entity "article price label" when adding/updating |
article_price_label |
Optionally required : article_price_label_id or article_price_label must be provided |
| price |
Article price, If value not given set as 0. |
decimal number |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "84be0408-b6e7-4aff-afa0-45bd62b513fc",
"article_id": "e102c67f-5f3a-411e-ac84-adb99dbfea73",
"article_code": "sample string 3",
"article_price_label_id": "cb34f91f-ebd7-4c6d-a6bb-3c70f539c1ab",
"price": 1.0,
"modified_dateutc": "2026-10-10T16:02:37.5398829+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.